unit getcurexchcode;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,ComObj,MsXML,CurrencyExchange, Grids, ComCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    StringGrid: TStringGrid;
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Label1: TLabel;
    BeginDate: TDateTimePicker;
    EndDate: TDateTimePicker;
    Button1: TButton;
    GroupBox2: TGroupBox;
    Label4: TLabel;
    ID: TEdit;
    Button2: TButton;
    NumCode: TEdit;
    CharCode: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    SB: TStatusBar;
    Nameedit: TEdit;
    Label7: TLabel;
    Text2: TComboBox;
    CurExch: TCurrencyExchange;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
//  CurExch:TCurrencyExchange;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
begin
  CurExch.SilentMode:=False;
  CurExch.BeginDate:=BeginDate.Date;
  CurExch.EndDate:=EndDate.Date;
  CurExch.CurID.Add(CurExch.GetIDByCharCode(Text2.Text));
{  CurExch.CurID.Add('R01235');
  CurExch.CurID.Add('R01239');
  CurExch.CurID.Add('R01510');}
  CurExch.GetData;
  StringGrid.RowCount:=CurExch.Count;
  StringGrid.ColCount:=7;

  for i:=0 to CurExch.Count-1 do begin
    StringGrid.Cells[0,i+1]:=CurExch.GetCurrencyExchange[i].Date;
    StringGrid.Cells[1,i+1]:=CurExch.GetCurrencyExchange[i].Nominal;
    StringGrid.Cells[2,i+1]:=CurExch.GetCurrencyExchange[i].Value;
    StringGrid.Cells[3,i+1]:=CurExch.GetCurrencyExchange[i].CharCode;
    StringGrid.Cells[4,i+1]:=CurExch.GetCurrencyExchange[i].CurID;
    StringGrid.Cells[5,i+1]:=CurExch.GetCurrencyExchange[i].Name;
    StringGrid.Cells[6,i+1]:=CurExch.GetCurrencyExchange[i].NumCode;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  NumCode.Text:=CurExch.GetNumCodeByID(ID.Text);
  Nameedit.Text:=CurExch.GetNameByID(ID.Text);
  CharCode.Text:=CurExch.GetCharCodeByID(ID.Text);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
//  CurExch:=TCurrencyExchange.Create(self);
  Text2.Items.Assign(CurExch.CurrenciesList);
  StringGrid.Cells[0,0]:='';
  StringGrid.Cells[1,0]:='';
  StringGrid.Cells[2,0]:='';
  StringGrid.Cells[3,0]:='.';
  StringGrid.Cells[4,0]:='ID ';
  StringGrid.Cells[5,0]:='';
  StringGrid.Cells[6,0]:='';
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  CurExch.Free;
end;

end.
